package com.hzjt.util;

import com.hzjt.domain.Traffalarmrecord;
import com.hzjt.service.TraffAlarmRecordImg;

/**
 * TraffAlarmRecord对象设置图片X源地址
 * @author cp
 */
public enum TraffAlarmRecordFromImgEnum implements TraffAlarmRecordImg {
    /**
     * 根据图片设置地址
     */
    IMG0 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg1urlfrom(img);
        }
    },
    IMG1 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg2urlfrom(img);
        }
    },
    IMG2 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg3urlfrom(img);
        }
    },
    IMG3 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg4urlfrom(img);
        }
    },
    IMG4 {
        @Override
        public void setImg(Traffalarmrecord traffAlarmRecord, String img) {
            traffAlarmRecord.setImg5urlfrom(img);
        }
    }
}
